Skip to content
Browse files

[depends] - fix target config site script. It wants to set LD_LIBRARY…

…_PATH to the deps dir not to the native buildtools. Found when trying to get ffmpeg gnutls to work. On osx ffmpeg tried to pull in libz from native dir instead of system toolchain because ld_library_path was set wrong
  • Loading branch information...
1 parent 2466561 commit f02e456f996cc44a18e15c95e53bfa9471e40a7c @Memphiz Memphiz committed
Showing with 1 addition and 1 deletion.
  1. +1 −1 tools/depends/target/config.site.in
View
2 tools/depends/target/config.site.in
@@ -32,7 +32,7 @@ export NASM=@prefix@/@tool_dir@/bin/yasm
export MYSQL_CONFIG=@prefix@/@deps_dir@/bin/mysql_config
PATH=@prefix@/@tool_dir@/bin:@use_toolchain@/usr/bin:@use_toolchain@/bin:$PATH
-LD_LIBRARY_PATH=@prefix@/@tool_dir@/lib:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=@prefix@/@deps_dir@/lib:$LD_LIBRARY_PATH
PYTHON_VERSION=2.6
PYTHON_LDFLAGS="-L@prefix@/@deps_dir@/lib -lpython${PYTHON_VERSION} -lc -ldl -lm -lexpat -lffi -lintl -lutil -lssl -lcrypto"

0 comments on commit f02e456

Please sign in to comment.
Something went wrong with that request. Please try again.